module Trackable
  extend ActiveSupport::Concern
  include PublicActivity::Model

  included do
    tracked owner: proc { |controller, model|
      model.try(:user) || model.try(:owner) || controller.try(:current_user) }
  end
end
