class Tagging < ApplicationRecord
  # *current_user* tag *taggable* with *tag*
  include Trackable

  belongs_to :tagger, polymorphic: true
  belongs_to :tag
  belongs_to :taggable, polymorphic: true

  validates_presence_of :tagger, :tag, :taggable
end
