class CreateApplications < ActiveRecord::Migration[4.2]
  def change
    create_table :applications do |t|
      t.string :name
      t.string :domain
      t.string :application_id
      t.belongs_to :user, index: true, foreign_key: true

      t.timestamps null: false
    end
    add_index :applications, :domain, unique: true
    add_index :applications, :application_id, unique: true
  end
end
